Why does Photoshop Touch require an iPad2?

  • 1
  • Question
  • Updated 6 years ago
  • (Edited)
I want to install Photoshop Touch on my iPad1, but it REQUIRES a camera!? To me, thats a huge drawback. PLEASE allow the install for iPad1 machines that do not have a built in camera. PLEASE.
Photo of Jim Rodgers

Jim Rodgers

  • 2 Posts
  • 0 Reply Likes
  • Very Annoyed

Posted 6 years ago

  • 1
Photo of Chris Cox

Chris Cox

  • 20280 Posts
  • 812 Reply Likes
No, it requires an iPad2. Not just for the camera, but for the increased processing power.
Photo of Jim Rodgers

Jim Rodgers

  • 2 Posts
  • 0 Reply Likes
Wow, that makes me sad. Guess I'm stuck with my other graphics apps that work on the vintage ipad1.